import Vue from 'vue';

import { inspectScreenTime, overScreenTime } from '@/global/global.js';

let lastTime = new Date().getTime();
let currentTime = new Date().getTime();
const timeOut = overScreenTime; // 设置超时时间: 30分钟

window.onload = function () {
  window.document.onmousedown = function () {
    Vue.prototype.$storage.setLocal('lastTime', new Date().getTime());
  };
};

export function checkTimeout() {
  currentTime = new Date().getTime(); // 更新当前时间
  lastTime = Vue.prototype.$storage.getLocal('lastTime');
  if (!lastTime) return;
  if (currentTime - lastTime > timeOut) {
    // 判断是否超时

    // 清除storage的数据(登陆信息和token)
    Vue.prototype.$storage.clearLocal('lastTime');
    console.log('锁屏');
    // storage.clear();
    // // 跳到登陆页
    // if (router.currentRouter.name === 'login') return; // 当前已经是登陆页时不做跳转
    // router.push({ name: 'login' });
  }
}

export default function () {
  window.setInterval(checkTimeout, inspectScreenTime);
}
